import { ImageType } from 'itk-wasm';
import PQueue from 'p-queue';
import MultiscaleSpatialImage from './MultiscaleSpatialImage.js';
import { ZarrStoreParser } from './ZarrStoreParser.js';
import HttpStore from './HttpStore.js';
import { ScaleInfo } from './types.js';
import { NgffImage, Dataset } from './ngff-validator.js';
export declare const isZarr: (url: string) => boolean;
export declare const computeTransform: (imageMetadata: NgffImage, datasetMetadata: Dataset, dimCount: number) => {
    scale: any[];
    translation: any[];
};
export declare class ZarrMultiscaleSpatialImage extends MultiscaleSpatialImage {
    static fromStore(store: HttpStore, maxConcurrency?: number | undefined): Promise<ZarrMultiscaleSpatialImage>;
    static fromUrl(url: URL, maxConcurrency?: number | undefined): Promise<ZarrMultiscaleSpatialImage>;
    dataSource: ZarrStoreParser;
    rpcQueue: PQueue;
    constructor(zarrStoreParser: ZarrStoreParser, scaleInfos: Array<ScaleInfo>, imageType: ImageType, maxConcurrency?: number | undefined);
    getChunksImpl(scale: number, cxyztArray: Array<Array<number>>): Promise<ArrayBuffer[]>;
}
//# sourceMappingURL=ZarrMultiscaleSpatialImage.d.ts.map