export const CXYZT = Object.freeze(['c', 'x', 'y', 'z', 't']); // viewer indexing
export const XYZ = Object.freeze(['x', 'y', 'z']);
export const ensuredDims = (defaultValue, ensuredDims, dimMap) => ensuredDims.reduce((map, dim) => map.set(dim, map.get(dim) ?? defaultValue), new Map(dimMap));
export const toDimensionMap = (dims, array) => new Map(dims.map((dim, i) => [dim, array[i]]));
// example: orderBy(['y', 'x'])(new Map([['x', 1], ['y', 2], ['z', 3]])) -> Map([['y', 2], ['x', 1]])
// drops dimensions that are not in dims!
export const orderBy = (dims) => (map) => new Map(dims.map((dim) => {
    const value = map.get(dim);
    if (!value)
        throw new Error(`Dimension ${dim} not found in map ${map}`);
    return [dim, value];
}));
export const chunk = (chunkSize, array) => {
    const chunks = [];
    for (let i = 0; i < array.length; i += chunkSize) {
        chunks.push(array.slice(i, i + chunkSize));
    }
    return chunks;
};
export const nonNullable = (value) => {
    return value != null;
};
//# sourceMappingURL=dimensionUtils.js.map